## GESOperation GESOperation — Base Class for effects and overlays |

## Types and Values

| GESOperation
| GESOperationClass

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GESTimelineElement
                ╰── GESTrackElement
                    ╰── GESOperation
                        ├── GESTransition
                        ├── GESBaseEffect
                        ╰── GESTextOverlay

## Implemented Interfaces

GESOperation implements GESExtractable and GESMetaContainer.

## Includes

    #include <ges/ges.h>

## Description

## Functions

## Types and Values

### GESOperation

    typedef struct _GESOperation GESOperation;

Base class for overlays, transitions, and effects

### GESOperationClass

    typedef struct {
    } GESOperationClass;